Bug 485081 - rpm db locked "Database version mismatch" after db4 upgrade
rpm db locked "Database version mismatch" after db4 upgrade
Status: CLOSED DUPLICATE of bug 455836
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-11 09:43 EST by Henrik Nordström
Modified: 2009-02-11 09:47 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-11 09:47:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Henrik Nordström 2009-02-11 09:43:36 EST
Description of problem:

Upgrade of rawhide today left rpm in a locked state complaining about "Database version mismatch".

Version-Release number of selected component (if applicable):

rpm-4.6.0-2.fc11
db4-4.7.25-9.fc11

How reproducible:


Steps to Reproduce:
1. upgrade rawhide
2. 
3.
  
Actual results:

No further rpm operations possible without manual action to corect

Expected results:

Automatic recovery of any old version db environment

Additional info:

db_recover in /var/lib/rpm/ cleaned it up.
Comment 1 Henrik Nordström 2009-02-11 09:47:33 EST

*** This bug has been marked as a duplicate of bug 455836 ***

Note You need to log in before you can comment on or make changes to this bug.